Retrieve Execution Transactions

Fetch a list of transactions for a file execution, including the full transaction details.

GET/executions/{executionId}/transactions

This endpoint retrieves information about all transactions Stedi has processed for a specific file execution. Transactions are sorted by creation date from newest to oldest.

Authorization
RequiredHeader

A production Stedi API Key for authentication.

Path Parameters

A unique identifier for the file execution within Stedi. This ID is included in the file processed event, or you can retrieve it manually from the file's details page within the Stedi portal.

Query Parameters

pageSize
NumberRange: ≥ 1 and ≤ 500

The maximum number of elements to return in a page. You can set this to a maximum of 500 elements. If not specified, the default is 100.

pageToken
StringLength: 1 - 1024

A token returned by a previous call to this operation in the nextPageToken. If not specified, Stedi returns the first page of results.

Response

application/json
nextPageToken
StringLength: 1 - 1024

Token that you can supply in subsequent requests to retrieve the next page of results. If not returned, there are no more results.

items
Array of ObjectsRequired

The processed transactions that match the request criteria. The items array is empty if there are no matching transactions.

Array item